module top_ovp();

    wire        nCS;
    wire        nRD;
    wire        nWR;
    wire [31:0] HA;
    wire [31:0] HD;

    ram_ovp ram(
        .nCS(nCS),
        .nRD(nRD),
        .nWR(nWR),
        .HA(HA[11:0]),
        .HD(HD)
    );

    bfm_ovp bfm(
        .nCS(nCS),
        .nRD(nRD),
        .nWR(nWR),
        .HA(HA),
        .HD(HD)
    );

endmodule
